<?php
include("cp_header.php"); /**************************************************صفحة تعديل  وصف الصفحات*******************************************************************/


//منع الانجكشن
if(!isset($_GET['id']) || !is_numeric($_GET['id'])){
	
die("الصفحة غير موجودة");		
}	

//تجنب اضافة سجل فى حالة اعادة تحميل الصفحة

//ضمان عدم الاضافة مرتين
if(!isset($RequestSignature)){
$RequestSignature = md5($_SERVER['REQUEST_URI'].$_SERVER['QUERY_STRING'].print_r($_POST, true));
}

/*  اسم الجدول وبداية الكويرى */  
$table="pages_desc";
$extensionx='' ;
$filex='';

?>
<div id="cp_cont">
<div id="show_user_details"></div>
	

<?php
///تجنب اضافة سجل فى حالة اعادة تحميل الصفحة

if (isset($_SESSION['LastRequest']) && $_SESSION['LastRequest'] == $RequestSignature)
{
goto error;
}
else
{
$_SESSION['LastRequest'] = $RequestSignature;
}


//فى حالة السبمت
if (isset($_POST['submit']) && $_POST['token_sec']==$_SESSION['token']  ) {
if (isset($_FILES['image'])){
//مسار رفع الصورة
$src='../img/'.$table.'/';
$sort_num=$_GET['id'];	


//استدعاء ملف رفع الصور
include("upload_image.php");
if ($image_error=='1'){
goto err1;	
}


//فى حالة رفع الصورة
if ($image) {
	

//استدعاء ملف تعديل مقاسات الصور
include('SimpleImage.php');

//استدعاء ملف وضع العلامة المائية على الصور
include('water_mark.php');
   $image = new SimpleImage();
   $image->load($src.'img_'.$img_id.'.'.$extension);
   
    
   
   $image->save($src.'img'.$_GET['id'].'.webp');
   $image->resize(20,20);
   $image->save($src.'img'.$_GET['id'].'_tiny.webp');
   


   
   
   //وضع العلامة المائية على الصور فى حالة تفعيل الاختيار
   if(isset($_POST['water_mark'])){ WaterMark($src.'img_'.$img_id.'.png'); }	

}else{
err1:	

}
   


}

//وضع الفورم فى متغيرات
$title=str_replace("'","\'",$_POST['title']);
$modified=date('Y-m-d H:i:s'); 
$page_name=$_POST['page_name'];
$page_description=$_POST['page_description'];

$page_meta=$_POST['page_meta'];
$image=$sort_num.".".$extensionx;

//بداية الاستعلام
$query="update $table set page_title='$title' ,page_name='$page_name'  ,page_description='$page_description' , page_meta='$page_meta'   where id=".$_GET['id'];

//بداية الاستعلام
$query= mysqli_prepare(

			$conn,

			"Update `$table` 
			set  `page_title`=? ,`page_name`=?  ,`page_description`=? , `page_meta`=?,`modified`=?,`user_modified`=? 
			Where id= ? "
	);

		
	
	//نهيئة المتغيرات وحمايتها من الحقن
	mysqli_stmt_bind_param($query,'ssssssi',
			
		 $title,$page_name,$page_description,$page_meta,$modified,$_SESSION[$domain."_user"],$_GET['id']

	);


			
	//تنفيذ الاستعلام وتخزين حالته
	$execute_status=mysqli_stmt_execute($query);
				 
	//فى حالة وجود اخطاء فى الاتصال بقاعدة البيانات
	if(mysqli_error($conn)!=''){

				 $error_database_arr['err']=mysqli_error($conn);

				 $error_database_arr['err_num']= mysqli_errno($conn);

				 $error_database_arr['error_stmt']= mysqli_stmt_error($query);

			 }
	
	//عدد السجلات التى تم تنفيذها
	$affected_rows=mysqli_affected_rows($conn);

//فى حالة نجاح الاستعلام
if($execute_status==1){
echo "<div class='true'>تم رفع الوصف</div>";
$_SESSION['session_enable']='0'; 
goto endall;
}else{
err:	
echo "<div class='false'>لم يتم رفع الوصف</div>";  
 
  		
}

unset($_POST['submit']);


}

error:


//بداية الاستعلام
$query="select * from $table where id=".$_GET['id'];
//تنفيذ الاستعلام
$result=mysqli_query($conn,$query);
$fetch=mysqli_fetch_array($result);
	$fetch=clean_array($fetch);
$sort_num=$fetch[0];	


?>	
	
	
	
	
<div id="cp_title"> تعديل وصف الصفحات
<a  href="view_<?php echo $table; ?>.php?search=" style='background:url(../img/table.png);float:left;margin:10px 0px 5px 20px;color:var(--white);width:20px;height:20px;'></a>	
		
</div>
<div id="cp_body">

<form id="app_form" enctype="multipart/form-data"   method="post" action="<?php echo $_SERVER['PHP_SELF'].'?id='.$_GET['id'] ; ?>">
<div class="cp_word_body">


<div class="cp_login_row" style="display:none;float:right;width:98%">
<div class="cp_title">اسم الصفحة</div>
<div class="cp_field">
<input class="page_name <?php  if($_SESSION['lang_en']==1){echo 'requiredx'; } ?>" alt="1"  name="page_name" type="text" value="<?php echo $fetch['page_name'] ?>" />
<div class="field_val " ></div>
</div>
</div>


<div class="cp_login_row" style="float:right;">
<div class="cp_title"><span style="color:red">*</span>عنوان الصفحة</div>
<div class="cp_field">
<input class="<?php  if($_SESSION['lang_ar']==1){echo 'required'; } ?>" alt="1"  name="title" type="text" value="<?php echo $fetch['page_title'] ?>" />
<div class="field_val " ></div>
</div>
</div>

<div class="cp_login_row" style="float:right;width:98%">
<div class="cp_title">وصف الصفحة</div>

<div class="cp_field">
<textarea class="page_name <?php  if($_SESSION['lang_en']==1){echo 'requiredx'; } ?>" alt="1"  name="page_description" type="text" ><?php echo $fetch['page_description'] ?></textarea>
<div class="field_val " ></div>
</div>
</div>


<div class="cp_login_row" style="float:right;width:98%">
<div class="cp_title">الكلمات المفتاحية</div>

<div class="cp_field">
<textarea class="page_name <?php  if($_SESSION['lang_en']==1){echo 'requiredx'; } ?>" alt="1"  name="page_meta" type="text" ><?php echo $fetch['page_meta'] ?></textarea>
<div class="field_val " ></div>
</div>
</div>



<div class="cp_login_row">
<div class="cp_title"> الصورة الرئيسية </div>
<div class="cp_fielda">
<div class="wrapper"></div>	
<input num="1" class='browse required' alt="4"  name="image" type="file"  accept="image/jpeg"
<img loading='lazy' id="browse_img1" src= "../img/<?php echo $table;  ?>/img<?php echo $_GET['id'] ?>.png?time=<?php echo time() ;?>" style="float:left;width:80px;height:40px;border:solid 1px #888;margin-left:50%;background:url(../img/small_loading.gif) no-repeat center center #fff"/>
<div class="field_val no_margin "></div>
</div>
</div>



</div>	
</div>

<div class="cp_login_row">
<div class="cp_submit"><input id="submit" name="submit" value="تعديل"  title="دخول" type="submit"></div>
</div>
</div>
<input type="hidden" name="token_sec"  value='<?php echo $_SESSION['token']; ?>'> </form>

</div>
</div>

<?php 
//تحميل الفوتر
include("cp_footer.php"); ?>

<?php 
exit();

endall:
echo "<a class='true' href='view_$table.php?search='> الانتقال لصفحة تعديل الصفحات  </a>";
?>
<script type="text/javascript">
$(function(){

//الانتقال التلقائى لصفحة العرض
setTimeout(function() {
  window.location.href = "view_<?php echo $table ; ?>.php?search=";
}, 5000);


});
</script>



